Bug 60711

Summary: Web Inspector: inspector console should be searchable
Product: WebKit Reporter: Yury Semikhatsky <yurys>
Component: Web Inspector (Deprecated)Assignee: Yury Semikhatsky <yurys>
Status: RESOLVED FIXED    
Severity: Normal CC: apavlov, bweinstein, joepeck, keishi, loislo, pfeldman, pmuellr, rik, timothy, yurys
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Attachments:
Description Flags
Patch
pfeldman: review+
Screenshot none

Description Yury Semikhatsky 2011-05-12 11:02:51 PDT
Web Inspector: inspector console should be searchable. Original Chromium feature request: http://code.google.com/p/chromium/issues/detail?id=25484
Comment 1 Yury Semikhatsky 2011-05-12 11:08:58 PDT
Created attachment 93309 [details]
Patch
Comment 2 Yury Semikhatsky 2011-05-13 00:08:40 PDT
Created attachment 93409 [details]
Screenshot
Comment 3 Pavel Feldman 2011-05-13 11:22:16 PDT
Comment on attachment 93309 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=93309&action=review

> Source/WebCore/inspector/front-end/ConsolePanel.js:114
> +    jumpToNextSearchResult: function()

This is a lot of boilerplate code. In this case (as well as in many other cases), we have the whole list of search results synchronously. It would be great if Panel could handle those by itself and was only telling its delegate (ancestor) which result to highlight.
Comment 4 Yury Semikhatsky 2011-05-16 00:30:31 PDT
Committed r86539: <http://trac.webkit.org/changeset/86539>